﻿using Foundation;
using Telerik.XamarinForms.DataControls;
using UIKit;
using ListViewPullToRefreshStyle.iOS;
using Xamarin.Forms;
using Telerik.XamarinForms.Common.iOS;
using Xamarin.Forms.Platform.iOS;

[assembly: ExportRenderer(typeof(RadListView), typeof(CustomListViewRenderer))]

namespace ListViewPullToRefreshStyle.iOS
{
    [Register("AppDelegate")]
    public partial class AppDelegate : FormsApplicationDelegate
    {
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            new Telerik.XamarinForms.DataControlsRenderer.iOS.ListViewRenderer();

            Forms.Init();
            TelerikForms.Init();
            LoadApplication(new Portable.App());

            return base.FinishedLaunching(app, options);
        }
    }

    public class CustomListViewRenderer : Telerik.XamarinForms.DataControlsRenderer.iOS.ListViewRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<RadListView> e)
        {
            base.OnElementChanged(e);

            this.Control.PullToRefreshView.BackgroundColor = UIColor.White;
        }
    }
}
